Auto Multiple Choice - Bug # 425: Email not working
Description: | have been using auto multiple choice for years, but | recently set it up on a new computer running Arch.

Almost everything is working fine, but when | went to email the annotated quizzes a dialogue box pops up
that says "0 message(s) has been sent" with no other output. | double checked my sendmail path, which is
/usr/bin/msmtp (this is how | have set up AMC previously). If | go to the terminal and type "echo "hello" |
/usr/bin/msmtp joseph.stover758@gmail.com” it sends the email just fine, so | don't think it is a problem with
the way the email is set up. If | try typing "auto-multiple-choice mailing" in the terminal | get the following
output

String found where operator expected at /usr/share/perl5/vendor_perl/Throwable.pm line 42, near "has
'previous_exception™

0 (Do you need to predeclare has?)

syntax error at /usr/share/perl5/vendor_perl/Throwable.pm line 42, near "has 'previous_exception™

BEGIN not safe after errors--compilation aborted at /usr/share/perl5/vendor_perl/Throwable.pm line 79.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.

Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.

Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.

Compilation failed in require at /usr/share/perl5/vendor_perl/Email/Sender/Role/CommonSending.pm line 9.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Email/Sender/Role/CommonSending.pm
line 9.

Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.

Compilation failed in require at /ust/share/perl5/vendor_perl/Email/Sender/Simple.pm line 23.

BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Email/Sender/Simple.pm line 23.
Compilation failed in require at /usr/lib/AMC/perl/AMC-mailing.pl line 35.

BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-mailing.pl line 35.

| spent some time yesterday looking at all the files referenced in the error message, but | have very limited
experience with Perl. I'm happy to provide you with any more information. Thanks for maintaining such a
great program.

History

09/12/2016 05:00 pm - Alexis Bienveniie
Can you also send a @log@ file produced when trying to send emails in debugging mode (from the _Help_ menu)?
Can you try the following command from a terminal, to see if @Email::Sender::Simple@ is installed?

perl -MEmail::Sender::Simple -e "

09/12/2016 05:37 pm - Joseph Stover
Both of the commands @perl -MEmail::Sender::Simple -e "@ and @auto-multiple-choice mailing --debug ~/amc.log@ result in the exact same output
as @auto-multiple-choice mailing@. Debug mode does not produce a log file, so it is failing before then.

I do have the file Simple.pm at /usr/share/perl5/vendor_perl/Email/Sender/Simple.pm, which | believe is the Email::Sender::Simple module. The first
five lines of the file are

<pre>
package Email::Sender::Simple;

# ABSTRACT: the simple interface for sending mail with Sender
$Email::Sender::Simple::VERSION = '1.300021";
use Moo;
with 'Email::Sender::Role::CommonSending';

</pre>

09/12/2016 06:10 pm - Alexis Bienveniie
If @Email::Sender::Simple@ is working, the command

perl -MEmail::Sender::Simple -e "
should return with no output. So | think there is a problem with this perl module, which is used by AMC to send emails...
09/14/2016 05:49 pm - Joseph Stover
Still not sure what was causing the problem, the best | could get was discovering that any module that used the @Throwable@ module generated
errors as did running
<pre>
perl -MThrowable -e "
</pre>
At any rate, if anyone else has a similar issue, what fixed it for me was uninstalling the Perl modules that | had installed using @Pacman@ (the Arch
package manager) and reinstalling them using @CPAN@ (the Perl package manager). Thanks for your help Alexis and for maintaining a great

program.

04/12/2017 09:00 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed
